function scrollable(maxHeight) {
  var elBoxes = $('.scrollable');
  
  for (var i=0; i<elBoxes.length; i++) {
    var elBox = $(elBoxes[i]);
    
    // 高さを測るため、子要素をdiv要素で括る
    var elWrapper = $('<div />');
    elWrapper.append(elBox.find('> *'));
    elBox.append(elWrapper);

    // 高さが制限値を超えたらスクロールバーを表示
    if (elWrapper[0].offsetHeight > maxHeight) {
      // スクロール対象をラップする
      var elTarget = elWrapper.find('.scrollable_scrollable');
      elTarget.wrap('<div class="scrollable_wrap" />');
      
      // ラップに高さとスクロールを指定
      elTarget.parent().css({
        height: maxHeight -(elWrapper[0].offsetHeight -elTarget[0].offsetHeight),
        overflowY: 'scroll'
      });
    }
    
  }
}

$(function() {
  scrollable(maxheight);
});
